0

I have installed via the Arduino Library Manager a library called ArduinoJson. It seems to install fine and I have included the library in my sketch using:

#include "ArduinoJson.h"

But when I compile the sketch I get the following error:

"C:\\Program Files (x86)\\Arduino\\hardware\\tools\\avr/bin/avr-g++" -c -g -Os -w -std=gnu++11 -fpermissive -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -Wno-error=narrowing -flto -w -x c++ -E -CC -mmcu=atmega2560 -DF_CPU=16000000L -DARDUINO=10807 -DARDUINO_AVR_MEGA2560 -DARDUINO_ARCH_AVR "-IC:\\Program Files (x86)\\Arduino\\hardware\\arduino\\avr\\cores\\arduino" "-IC:\\Program Files (x86)\\Arduino\\hardware\\arduino\\avr\\variants\\mega" "-IG:\\My Drive\\Personal\\jdeation\\Arduino\\libraries\\HX711-0.1" "-IG:\\My Drive\\Personal\\jdeation\\Arduino\\libraries\\ArduinoJson\\src" "C:\\Users\\jason\\AppData\\Local\\Temp\\arduino_build_7871\\sketch\\counting_machine.ino.cpp" -o nul

In file included from G:\My Drive\Personal\jdeation\Arduino\libraries\ArduinoJson\src/ArduinoJson/JsonBufferBase.hpp:7:0,

                 from G:\My Drive\Personal\jdeation\Arduino\libraries\ArduinoJson\src/ArduinoJson/DynamicJsonBuffer.hpp:7,

                 from G:\My Drive\Personal\jdeation\Arduino\libraries\ArduinoJson\src/ArduinoJson.hpp:9,

                 from G:\My Drive\Personal\jdeation\Arduino\libraries\ArduinoJson\src/ArduinoJson.h:9,

                 from G:\My Drive\Personal\jdeation\Arduino\counting_machine\counting_machine.ino:32:

G:\My Drive\Personal\jdeation\Arduino\libraries\ArduinoJson\src/ArduinoJson/Deserialization/JsonParser.hpp:7:29: fatal error: ../JsonBuffer.hpp: No such file or directory

compilation terminated.

I'm very new to Arduino programming, can someone point me in the right direction.

Thanks.

  • delete it and try to install again – Juraj Nov 25 '18 at 17:29
0

Go through the library manager and make sure your version is 5.14.3 and not higher. The higher ones are Beta versions and there has been changes that are not compatible with the previous non-Beta versions.

This is an annoyance because you would think that the latest would be the best. But that is not always the case.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.